# @(#) eloqwebd2.app - B.08.30 ($Revision: 28.2 $)
#
# The purpose of this file is to configure the applications
# the eloqwebd2 server can start.
# It is installed in the location:
# /etc/opt/eloquence/8.3/eloqwebd2.app
#
# This file is read at eloqwebd2 startup.
# Changes are automatically detected and honored.
#
# Format:
#
# The section names are not case sensitive. String values can be
# enclosed in double quotes to protect leading or trailing spaces.
# Everything after a hash (#) character is considered a comment.
#
# Each application definition is a separate section. The section
# header in square brackets specifies the application identifier
# (app_id) used in the HTML document which invokes the application.
#
# A [default] section may be specified to define configuration items
# which are common to all applications.
#
# The following configuration items are recognized for each section:
#
# [app_id]
#
# Server    Specifies the address to connect the eloqsd server which
#           is used to start the application.
#
#           A host name or IP address may be specified, optionally
#           followed by a colon and a service name or port number.
#           An IPv6 address must be specified in square brackets.
#
#           The default is: localhost:eloqsd
#
#           For example:
#              hcluster2-eloq.foo.com:8100
#              192.168.22.33:eloqsd
#              [fe80::225:b3ff:fecf:362]:8100
#
# Login     Specifies the eloqsd server login required to start
#           the application. If not configured, login credentials
#           are requested by the client (web browser).
#
# Password  Specifies the eloqsd server password required to start
#           the application. This is not used if the Login configuration
#           is not set.
#
# TLS       If nonzero, the eloqsd and DLG communication is secured
#           with TLS-encryption. This requires that the eloqsd server
#           is configured for TLS-encrypted communication.
#
# Command   Specifies the command line to start the application.
#
#           Command line arguments are separated with spaces. If an
#           argument contains space characters it must be enclosed
#           in single or double quotes.
#
#           Token resolving:
#
#           $remoteaddr - client (web browser) IP address
#           $remotename - client (web browser) host name
#           $remoteport - client (web browser) TCP port number
#           $login      - eloqsd login used to start the application
#
#           $(VARIABLENAME) - value of an environment variable,
#           including any variable specified with the Environment
#           configuration (see below).
#
#           Multiple Command entries are recognized. The command
#           line is formed by concatenating the Command entries
#           in the specified order.
#
# StartDir  Used to set the current directory where an application
#           is started. Token resolving is applied as explained in
#           the Command section above.
#
# Environment   Specifies an environment variable to be passed to
#           the application. Token resolving is applied as explained
#           in the Command section above.
#           Multiple Environment entries are recognized and combined.
#
# DlgIdleTimeout    Specifies the maximum time in seconds an application
#          may be idle. The application is terminated if it does not get
#          any user input for longer than the specified time.
#          The default is: 3600 seconds (60 minutes)
#
# Driver   Specifies the driver type reported to the program.
#          The default is: "WEB2"
#
# BaseURL  Specifies the global base URL.
#
# HelpBaseURL    Specifies the global base URL for the help system.


# The example configuration below starts the EXAMPLE,APP program, using
# the local eloqsd server with the specified login and password.
# It expires if there is no user input for more than 10 minutes.

#[EXAMPLE]
#Command = EXAMPLE,APP
#Login = web
#Password = web
#Environment = HOME=/home/$user_name
#DlgIdleTimeout = 600

